<?php
/**
 * The template for displaying search form
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 */

?>

<form action="<?php echo esc_url( home_url('/') ); ?>" role="search" method="get" class="search-form">
	<label>
		 <span class="screen-reader-text"><?php printf( esc_html__( 'Search for: %s','tp-philosophy-pro' ), get_search_query() ); ?></span>
		<input type="search" name="s" class="search-field" placeholder="<?php esc_attr_e( 'Search...', 'tp-philosophy-pro' ); ?>" value="<?php echo get_search_query(); ?>" >
	</label>
	<button type="submit" class="search-submit"><span class="screen-reader-text"><?php esc_html_e('Search', 'tp-philosophy-pro' ); ?></span></button>	
</form>